package CRSDK;

@SuppressWarnings("unused")
public enum CrFocusMode {
    CrFocus_MF					(0x0001),
    CrFocus_AF_S (CrFocus_MF.getValue()+1),
    CrFocus_AF_C (CrFocus_MF.getValue()+2),
    CrFocus_AF_A (CrFocus_MF.getValue()+3),
    CrFocus_AF_D (CrFocus_MF.getValue()+4),
    CrFocus_DMF (CrFocus_MF.getValue()+5),
    CrFocus_PF (CrFocus_MF.getValue()+6);

    private final CrInt16u value;
    CrFocusMode(int value) {
        this.value = new CrInt16u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
